var Current_Time="",End_Time="",promo=0,urlV="";


var Player =
{
    plugin : null,
    state : -1,
    skipState : -1,
    stopCallback : null,
    originalSource : null,
    
    STOPPED : 0,
    PLAYING : 1,
    PAUSED : 2,  
    FORWARD : 3,
    REWIND : 4
};

Player.init = function()
{
    var success = true;   
    this.state = this.STOPPED;
    
    this.plugin = document.getElementById("pluginPlayer");
    
    if (!this.plugin)
    {  
         success = false;
    } 
    
    this.setWindow();
    
    this.plugin.OnCurrentPlayTime = 'Player.setCurTime';
    this.plugin.OnStreamInfoReady = 'Player.setTotalTime';
	this.plugin.OnRenderingComplete = 'Player.OnRenderingComplete';
    this.plugin.OnBufferingStart = 'Player.onBufferingStart';
    this.plugin.OnBufferingProgress = 'Player.onBufferingProgress';
    this.plugin.OnBufferingComplete = 'Player.onBufferingComplete'; 
    this.plugin.OnRenderError = 'Player.onRenderError';
    this.plugin.OnStreamNotFound = 'Player.onStreamNotFound';
    this.plugin.OnNetworkDisconnected = 'Player.onNetworkDisconnected';
    this.plugin.OnConnectionFailed = 'Player.onConnectionFailed';	
    return success;
};

Player.deinit = function()
{      
      if (this.plugin)
      {
            this.plugin.Stop();
      }
};

Player.setWindow = function(){
//TV----------------------
if (sel_menu==3 && menu==1) {

return;
}
//END_TV----------------------
};

Player.setTVprev = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	programFull=0;
	document.getElementById("kanalTV").style.display="block";
	document.getElementById("programFull").style.display="none";
	document.getElementById("VideoPlayerTV").style.display="none";
	document.getElementById("bufferPrev").style.left = "230px";
	document.getElementById("bufferPrev").style.top = "140px";
    this.plugin.SetDisplayArea(23, 42, 504, 290);
return;
}
//END_TV----------------------
};

Player.setFullscreen = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	document.getElementById("VideoPlayerTV").style.display="block";
	if (timer_vid) {clearTimeout(timer_vid);}
	timer_vid=setTimeout(function() { document.getElementById("VideoPlayerTV").style.display="none"; }, 5000);
	document.getElementById("bufferPrev").style.left = "432px";
	document.getElementById("bufferPrev").style.top = "222px";
    this.plugin.SetDisplayArea(0, 0, 960, 540);
return;
}
//END_TV----------------------
    this.plugin.SetDisplayArea(0, 0, 960, 540); //16х9
};

Player.Resolution22х9 = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	document.getElementById("bufferPrev").style.left = "432px";
	document.getElementById("bufferPrev").style.top = "222px";
    this.plugin.SetDisplayArea(0, 68, 960, 404);
return;
}
//END_TV----------------------
    this.plugin.SetDisplayArea(0, 68, 960, 404); //22х9
};

Player.Resolution9х7 = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	document.getElementById("bufferPrev").style.left = "432px";
	document.getElementById("bufferPrev").style.top = "222px";
	this.plugin.SetDisplayArea(120, 0, 720, 540);
return;
}
//END_TV----------------------
	this.plugin.SetDisplayArea(120, 0, 720, 540); //9х7
};

Player.setVideoURL = function(url)
{
    this.url = url;
};

Player.pauseVideo = function()
{
    this.state = this.PAUSED;
    this.plugin.Pause();
};

Player.stopVideo = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
programFull=0;
document.getElementById("programFull").style.display="none";
if (video_play==1) { document.getElementById("bufferPrev").style.display="none"; clearInterval(myVar); }
	
    if (this.state != this.STOPPED)
    {
        this.state = this.STOPPED;
        this.plugin.Stop();
        Display.setTime(0);
        
        if (this.stopCallback)
        {
            this.stopCallback();
        }
    }
    else
    {
    }
return;
}
//END_TV----------------------
	block_key=0; video_play=0; StopAnimLoading();
	document.getElementById("progress").style.width = "0px";
	timeHTML = "00:00:00 / 00:00:00"; 
	widgetAPI.putInnerHTML(document.getElementById("time_video"), timeHTML);
	alert("stop Player");
    if (this.state != this.STOPPED)
    {
        this.state = this.STOPPED;
        this.plugin.Stop();
        //Display.setTime(0);
        
        if (this.stopCallback)
        {
            this.stopCallback();
        }
    }
    else
    {
    }
};

Player.playVideo = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	var url=this.url;
    if (url == null)
    {
    Player.stopVideo();
	SetDebug('Канал не найден');
    }
    else
    {
	if (video_play==1) { document.getElementById("bufferPrev").style.display="block"; PlayAnimLoading(); }
		Player.plugin.style.zIndex = "0";
        this.state = this.PLAYING;
		Player.plugin.SetTotalBufferSize(1048576) // //1МБ
		Player.plugin.SetInitialBuffer(2097152) //2МБ
		Player.plugin.SetPendingBuffer(2097152) //2МБ
		Player.plugin.Play( this.url );
		if (full_video==0) {Player.setTVprev();} else {Player.setFullscreen();}
    }
return;
}
//END_TV----------------------

	var url=this.url;
    if (url == null)
    {
block_key=0; video_play=0; StopAnimLoading();
document.getElementById("fon").style.display="block";
document.getElementById("descrp").style.display="block";
document.getElementById("footer").style.display="block";
document.getElementById("VideoPlayer").style.display="none";
Player.stopVideo();
    }
    else
    {
        this.state = this.PLAYING;
		Player.plugin.SetTotalBufferSize(1048576) // //1МБ
		Player.plugin.SetInitialBuffer(2097152) //2МБ
		Player.plugin.SetPendingBuffer(2097152) //2МБ
		Player.plugin.Play( this.url );
    }
};

Player.resumeVideo = function()
{
    this.state = this.PLAYING;
    this.plugin.Resume();
};

Player.skipForwardVideo = function(min)
{
if (promo==0) {PlayAnimLoading();}
    this.skipState = this.FORWARD;
    this.plugin.JumpForward(min*60);  	
};

Player.skipBackwardVideo = function(min)
{
if (promo==0) {PlayAnimLoading();}
    this.skipState = this.REWIND;
	this.plugin.JumpForward(min*60); 
};

Player.getState = function()
{
    return this.state;
};

Player.onBufferingStart = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
if (video_play==1) { document.getElementById("bufferPrev").style.display="block"; PlayAnimLoading(); }

	alert("BufferingStart");
    switch(this.skipState)
    {
        case this.FORWARD:
            return;
        
        case this.REWIND:
            return;
    }
return;
}
//END_TV----------------------
if (promo==0) {
PosAnimLoading(432,222);
PlayAnimLoading();
block_key=1;}
alert("onBufferingStart");
    switch(this.skipState)
    {
        case this.FORWARD:
            return;
        
        case this.REWIND:
            return;
    }
};

//Действие когда видео заканчивается
Player.OnRenderingComplete = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {

return;
}
//END_TV----------------------
if (promo==1) {
document.getElementById("VideoPlayer").style.display="block";
if (timer_vid) {clearTimeout(timer_vid);}
timer_vid=setTimeout(function() { document.getElementById("VideoPlayer").style.display="none"; }, 5000);
Player.stopVideo();
video_play=1; promo=0; block_key=1;
PosAnimLoading(432,222);
PlayAnimLoading();
Player.setFullscreen();
Player.setVideoURL(urlV);
Player.playVideo();
return; }
if (promo==0) {
block_key=0; video_play=0; StopAnimLoading();
document.getElementById("fon").style.display="block";
document.getElementById("descrp").style.display="block";
document.getElementById("footer").style.display="block";
document.getElementById("VideoPlayer").style.display="none";
Player.stopVideo(); }
alert("OnRenderingComplete");
};

Player.onBufferingProgress = function(percent)
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	if (video_play==1) { document.getElementById("bufferPrev").style.display="block"; }
return;
}
//END_TV----------------------
alert("onBufferingProgress");
};

Player.onBufferingComplete = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {
	if (video_play==1) { document.getElementById("bufferPrev").style.display="none"; clearInterval(myVar); }
	alert("BufferingComplete");
    switch(this.skipState)
    {
        case this.FORWARD:
            return;
        
        case this.REWIND:
            return;
    }
return;
}
//END_TV----------------------
block_key=0; StopAnimLoading();
    switch(this.skipState)
    {
        case this.FORWARD:
            return;
        
        case this.REWIND:
            return;
    }
};

Player.setCurTime = function(time)
{
//TV----------------------
if (sel_menu==3 && menu==1) {

return;
}
//END_TV----------------------
    Display.setTime(time);
};

Player.setTotalTime = function()
{
//TV----------------------
if (sel_menu==3 && menu==1) {

return;
}
//END_TV----------------------
    Display.setTotalTime(Player.plugin.GetDuration());
};

Player.onRenderError = function(e) {
//TV----------------------
if (sel_menu==3 && menu==1) {
	var err="";
	if (e==1) {err="Unsupported container";}
	if (e==2) {err="Unsupported video codec";}
	if (e==3) {err="Unsupported audio codec";}
	if (e==4) {err="Unsupported video resolution";}
	SetDebug('Ошибка: ' + err);
return;
}
//END_TV----------------------
	var err="";
	if (e==1) {err="Unsupported container";}
	if (e==2) {err="Unsupported video codec";}
	if (e==3) {err="Unsupported audio codec";}
	if (e==4) {err="Unsupported video resolution";}
block_key=0; StopAnimLoading();
alert("onRenderError");
};

Player.onStreamNotFound = function() {
//TV----------------------
if (sel_menu==3 && menu==1) {
	alert("Канал не найден");
	SetDebug('Канал не найден');
	document.getElementById("bufferPrev").style.display="none"; clearInterval(myVar);
    Main.display.error.network();
return;
}
//END_TV----------------------
    Main.display.error.network();
block_key=0; StopAnimLoading();
alert("onStreamNotFound");
};

Player.onConnectionFailed = function() {
//TV----------------------
if (sel_menu==3 && menu==1) {
	document.getElementById("bufferPrev").style.display="none"; clearInterval(myVar);
    alert('Player.onConnectionFailed');
	Player.stopVideo();
	if (act==1) { if (favorite_==0) { PlayCanal(stream[sel_canal-1]);} if (favorite_==1) { PlayCanal(stream_f[sel_canal-1]);} }
    Main.display.error.network();
return;
}
//END_TV----------------------
    Main.display.error.network();
block_key=0; StopAnimLoading();
alert("onConnectionFailed");
};

Player.onNetworkDisconnected = function() {
//TV----------------------
if (sel_menu==3 && menu==1) {
	document.getElementById("bufferPrev").style.display="none"; clearInterval(myVar);
    alert('Player.OnNetworkDisconnected');
	SetDebug('OnNetworkDisconnected');
	Player.stopVideo();
	if (act==1) { if (favorite_==0) { PlayCanal(stream[sel_canal-1]);} if (favorite_==1) { PlayCanal(stream_f[sel_canal-1]);} }
    Main.display.error.network();
return;
}
//END_TV----------------------
    Main.display.error.network();
block_key=0; StopAnimLoading();
alert("onNetworkDisconnected");
};

stopPlayer = function()
{
	document.getElementById("bufferPrev").style.display="none"; clearInterval(myVar);
    Player.stopVideo();
};

var Display =
{
    statusDiv : null,
    FIRSTIDX : 0,
    LASTIDX : 4,
    currentWindow : 0,

    SELECTOR : 0,
    LIST : 1,
 
};

Display.init = function()
{
    var success = true;
    
    return success;
};

Display.setTotalTime = function(total)
{
    this.totalTime = total;
};

Display.setTime = function(time)
{
//TV----------------------
if (sel_menu==3 && menu==1) {

return;
}
//END_TV----------------------
    var timePercent = (100 * time) / this.totalTime;
    var timeElement = document.getElementById("time_video");
    var timeHTML = "";
    var timeHour = 0; var timeMinute = 0; var timeSecond = 0;
    var totalTimeHour = 0;
    var totalTimeMinute = 0; 
    var totalTimeSecond = 0;

    document.getElementById("progress").style.width = timePercent*9.25 + "px";
    
    if(Player.state == Player.PLAYING || Player.state == Player.PAUSE )
    {
        totalTimeHour = Math.floor(this.totalTime/3600000);
        timeHour = Math.floor(time/3600000);
        
        totalTimeMinute = Math.floor((this.totalTime%3600000)/60000);
        timeMinute = Math.floor((time%3600000)/60000);
        
        totalTimeSecond = Math.floor((this.totalTime%60000)/1000);
        timeSecond = Math.floor((time%60000)/1000);
        
        timeHTML = timeHour + ":";
        
        if(timeMinute == 0)
            timeHTML += "00:";
        else if(timeMinute <10)
            timeHTML += "0" + timeMinute + ":";
        else
            timeHTML += timeMinute + ":";
            
        if(timeSecond == 0)
            timeHTML += "00/";
        else if(timeSecond <10)
            timeHTML += "0" + timeSecond + " / ";
        else
            timeHTML += timeSecond + " / ";
            
        timeHTML += totalTimeHour + ":";
        
        if(totalTimeMinute == 0)
            timeHTML += "00:";
        else if(totalTimeMinute <10)
            timeHTML += "0" + totalTimeMinute+":";
        else
            timeHTML += totalTimeMinute+":";
            
        if(totalTimeSecond == 0)
            timeHTML += "00";
        else if(totalTimeSecond <10)
            timeHTML += "0" + totalTimeSecond;
        else
            timeHTML += totalTimeSecond;
    }
    else
        timeHTML = "00:00:00 / 00:00:00";     
    
    Current_Time=timeHour+":"+timeMinute+":"+timeSecond;
    End_Time=totalTimeHour+":"+totalTimeMinute+":"+totalTimeSecond;
 
    
    CurrentTime=timeHTML;
    widgetAPI.putInnerHTML(timeElement, timeHTML);
    
};