	var ime = {};
	var search = {};
	var element = {}; // input id
	
	search.createIME = function (id) {
		var imeReady = function(imeObject) {
			installStatusCallbacks(imeObject);
			document.getElementById(id).focus();
		};
		ime = new IMEShell(id, imeReady, 'ru');
		ime.setKeypadPos(680,30);
		element = document.getElementById( id );
	};
	
	search.init = function () {
		search.createIME("plainText");
		element.blur();
		document.getElementById("anchor").focus();
		document.getElementById("plainText").style.display="none";
	};
	
	search.enter = function () {
		ime.setString("");
		element.focus();
	};
	
	var installStatusCallbacks = function(_ime) {
		_ime.setOnCompleteFunc(onComplete);		
		_ime.setEnterFunc(onEnter);
		_ime.setKeyFunc(tvKey.KEY_RETURN, onReturnScene);
		_ime.setKeyFunc(tvKey.KEY_GREEN, onNextKeypad);
	};
	
	var onComplete = function() {
		var mode = ['_latin_small', '_latin_big', '_num', '_special'];
		ime.setMode(mode[0]);
	};
	
	var onEnter = function(string) {
			search_text=string;
			search_active=1; keypad_show=0;
			menu=1;sel_film=1;page=1,loading_s=0;
if (sel_menu==4 && search_active==1) { LoadPage("http://kinokong.net/index.php?do=search&subaction=search&search_start=1&full_search=1&result_from=1&story="+window.escape(search_text)+"&titleonly=0&searchuser&replyless=0&replylimit=0&searchdate=0&beforeafter=after&sortby=date&resorder=desc&showposts=0&catlist[]=12"); }
if (sel_menu==2 && search_active==1) { LoadPage("http://seasonvar.ru/search?q="+search_text); }
if (sel_menu==1 && search_active==1) { LoadPage("http://kinokong.net/index.php?do=search&subaction=search&search_start="+page+"&full_search=0&story="+window.escape(search_text)); }
		element.blur();
		document.getElementById("anchor").focus();
		document.getElementById("plainText").style.display="none";
	};

	var onReturnScene = function() {
	element.blur();
	document.getElementById("anchor").focus();
	document.getElementById("plainText").style.display="none";
	search_active=0; keypad_show=0;
	};

	var onNextKeypad = function() {
	element.blur();
	document.getElementById("anchor").focus();
	document.getElementById("plainText").style.display="none";
	type_keypad=0;
	OpenKeyboard();
	}; 

	function CreateSearch() {
	if (key_loading==0) { search.init(); key_loading=1;}
	document.getElementById("plainText").style.display="block";
	search.enter();
	}